<template>
    <div class="app-container">
      <van-nav-bar
        left-arrow
        fixed
        placeholder
        @click-left="$router.back(-1)"
        @click-right="goAdd()"
      >
        <template #title>
          <p style="font-weight: bold;">开户行列表</p>
        </template>
        <template #right>
          <van-icon name="add" size="18"/>
        </template>
      </van-nav-bar>

      <van-list
        v-model="loading"
        :finished="finished"
        finished-text="没有更多了"
        @load="getList"
      >
        <van-swipe-cell v-for="(item,index) in applicationList" :key="index">
<!--          :to="{name:'paymentAccountDetail', query: {id:item.id,type:'modify'}}"-->
          <van-cell :title="item.bankDeposit" center >
            <template #icon>
              <van-icon name="../../../../../static/images/onlineHome/icon_yn6.png" size="30" color="#539FFD" style="margin-right: 10px;" />
            </template>
            <template #label>
              <p><span>{{item.bankType}}</span></p>
              <p style="display: flex;justify-content: space-between;width: 55%;">
                <span style="color: #878787;font-weight: normal;font-size: 12px;width: 60%;text-align:left;display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 1;word-break: break-all;overflow: hidden;">{{item.sheng+item.shi}}</span>
                <span style="color: #878787;font-weight: normal;font-size: 12px;">{{item.payeePaymentLines}}</span>
              </p>
            </template>
          </van-cell>
          <template #right>
            <van-row>
              <van-col>
                <van-button square text="修改" type="info" :to="{name:'yinnongBankOfDepositModify', query: {id:item.id}}" class="delete-button" />
              </van-col>
              <van-col>
                <van-button square text="删除" type="danger" @click="deleteList(item.id,index)" class="delete-button" />
              </van-col>
            </van-row>
          </template>
        </van-swipe-cell>
      </van-list>
    </div>
</template>

<script>
import { getList , delDeposit } from "@/api/onlineHome/bankAgriculture/bankOfDeposit";
export default {
  name: "bankOfDepositList",
  data() {
    return {
      applicationList:[],
      houseApplyStatus:[],
      // 账户类型 字典字典
      accountTypeOptions: [],
      // 是否停用 字典 sys_yes_no字典
      statusOptions: [],
      // 查询类型字典
      selectTypeOptions: [],
      // 来往账标识字典
      directionOptions: [],
      loading: false,
      finished: false,
      queryParams:{
        pageNum: 1,
        pageSize: 10,
      },
      statusColor:'#1D6FE9'
    };
  },
  created() {
    this.getDicts("bank_type").then((response) => {
      this.bankTypeOptions = response.data;
    });
  },
  methods: {
    goAdd(){
      this.$router.push({name:'yinnongBankOfDepositAdd'})
    },
    getList(){
      setTimeout(() => {
        getList(this.queryParams).then(response => {
          console.log(response)
          for (var i = 0; i < response.rows.length; i++) {
            response.rows[i].bankType = this.selectDictLabel(this.bankTypeOptions, response.rows[i].bankType);
            this.applicationList.push(response.rows[i]);
          }
          if(this.applicationList.length >= response.total){
            this.finished = true;
            return;
          }else{
            this.loading = false;
            this.queryParams.pageNum += 1 ;
          }
        });
      }, 1000);
    },
    deleteList(id,index){
      this.$dialog.confirm({
        message: '您确认删除开户行？',
      })
      .then(() => {
        // on confirm
        this.applicationList.splice(index,1)
        delDeposit(id).then(res => {
          if(res.code = 200){
            this.$toast.success('删除成功');
          }
        });
      })
      .catch(() => {
        // on cancel
      });
    }
  },
}
</script>

<style scoped lang="scss">
  .app-container {
    padding: 0.2rem 3%;
  }
  /deep/.van-cell__title{
    flex: 1;
  }
  /deep/.van-cell__title span{
    font-family: Arial;
    font-size: 0.4rem;
    font-weight: normal;

  }
  /deep/.van-cell__label span{
    color: #1D6FE9;
    font-weight: bold;
    i{
      font-size: 0.2rem;
    }
  }
  /deep/.van-cell__label{
    /*font-size: 14Px;*/
    /*font-weight: bold;*/
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  /deep/.van-cell__value{
    flex: 0.6;
    color: #333333;
  }
  /deep/.van-swipe-cell{
    margin-bottom: 0.2rem;
    border-radius: 0.2rem;
    overflow: hidden;
    box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);
  }
  /deep/van-ellipsis{
    font-weight: bold;
  }
  .van-row{
    height: 100%;
  }
  .van-col{
    height: 100%;
  }
  .delete-button {
    height: 100%;
  }
</style>
